#!/usr/bin/env bash

set -e

export PATH=env/bin:${PATH}

nose2 $@ -C --coverage catfish --verbose

black catfish tests setup.py --check
flake8 catfish tests setup.py --ignore=E128,E501
isort -rc -c catfish tests setup.py
mypy --strict-optional catfish
